[youtubei.js](../../../../README.md) / [LZW](../README.md) / compress

# Function: compress()

> **compress**(`input`): `string`

Defined in: [src/utils/LZW.ts:5](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/LZW.ts#L5)

Compresses a string using the LZW compression algorithm.

## Parameters

### input

`string`

The data to compress.

## Returns

`string`
